rpma_cq_wait(3)

NAME
rpma_cq_wait - wait for a completion and ack it

SYNOPSIS
      #include <librpma.h>

      struct rpma_cq;
      int rpma_cq_wait(struct rpma_cq *cq);

DESCRIPTION
rpma_cq_wait() waits for an incoming completion event and acks it. If rpma_cq_wait() succeeds, then all available completions should be collected using rpma_cq_get_wc(3) before the next rpma_cq_wait() call.

RETURN VALUE
The rpma_cq_wait() function returns 0 on success or a negative error code on failure.

ERRORS
rpma_cq_wait() can fail with the following errors:

•   RPMA_E_INVAL - cq is NULL

•   RPMA_E_PROVIDER - ibv_req_notify_cq(3) failed with a provider error

•   RPMA_E_NO_COMPLETION - no completions available

•   RPMA_E_SHARED_CHANNEL - the completion event channel is shared and cannot be handled by any particular CQ

SEE ALSO
rpma_conn_get_cq(3), rpma_conn_get_rcq(3), rpma_cq_get_wc(3), rpma_cq_get_fd(3), librpma(7) and https://pmem.io/rpma/